
version: '3'

services:

  redis:
    container_name: medicine-stack-redis
    image: redis:5.0.6
    restart: "always"
    command: redis-server --maxmemory-policy allkeys-lru --maxclients 10000
    networks:
      - medicine-network
    logging:
      driver: "json-file"
      options:
        max-size: "200k"
        max-file: "10"

  postgres:
    container_name: medicine-stack-postgres
    image: postgres:12.2
    restart: "always"
    networks:
      - medicine-network
    environment:
      POSTGRES_USER: "postgres"
      POSTGRES_PASSWORD: "password"
    volumes:
      - ./volumes/postgres-data:/var/lib/postgresql/data
      - ../volumes/files:/files
    logging:
      driver: "json-file"
      options:
        max-size: "200k"
        max-file: "10"

networks:
  medicine-network:
    external:
      name: "medicine-network"
